/*
** File: admxrc6tx_common.h  
** Project: ADB3 core driver
** Purpose: Prototypes of common ADMXRC6TL / ADMXRC6T1 methods
**
** (C) Copyright Alpha Data 2010
*/

#ifndef _ADATA_CORE_ADMXRC6TX_COMMON_H
#define _ADATA_CORE_ADMXRC6TX_COMMON_H

#include "device.h"

extern boolean_t
admxrc6txIdentifyXrm(
	Adb3CoreDeviceContext* pDevCtx);

extern void
admxrc6txInitSensorInfo(
	Adb3CoreDeviceContext* pDevCtx);

extern CoreSensorStatus
admxrc6txReadSensor(
	Adb3CoreDeviceContext* pDevCtx,
  unsigned int index,
  CoreSensorValue* pReading);

extern boolean_t
admxrc6txReadXrmByte(
	Adb3CoreDeviceContext* pDevCtx,
  uint8_t address,
  uint8_t* pVal8);

extern unsigned int g_admxrc6txNumDiagSensor;

#endif
