/*
** File: dpc.c  
** Project: VxWorks Driver Framework
** Purpose: Deferred procedure call stub (using isrDeferLib)
**
** (C) Copyright Alpha Data 2010
*/

#include "df.h"
#include "dfvxworks.h"

void
_dfVxwDpcStub(
  void* pContext)
{
#if DFVXW_USE_ISRDEFERLIB
  DfDpc* pDpc = (DfDpc*)pContext;

  pDpc->system.pFunction(pDpc, pDpc->system.pContext, pDpc->system.pArg);
#else
  dfAssert(FALSE);
#endif
}
