/*
** File: fpga.h  
** Project: ADMXRC3 module driver
** Purpose: Defines function prototypes for FPGA configuration IOCTL handlers.
**
** (C) Copyright Alpha Data 2009
*/

#if !defined(ADATA_ADMXRC3_FPGA_H)
#define ADATA_ADMXRC3_FPGA_H

#include <df.h>
#include "device.h"

extern DfIoStatus
ioctlConfigure(
	Admxrc3DeviceContext* pDevCtx,
	Admxrc3ClientContext* pClCtx,
  void* pBuffer,
  unsigned int inSize);

extern DfIoStatus
ioctlConfigureThunk(
	Admxrc3DeviceContext* pDevCtx,
	Admxrc3ClientContext* pClCtx,
  void* pBuffer,
  unsigned int inSize);

extern DfIoStatus
ioctlUnconfigure(
	Admxrc3DeviceContext* pDevCtx,
	Admxrc3ClientContext* pClCtx,
  void* pBuffer,
  unsigned int inSize);

#endif
